net.sf.jasperreports.engine.fill

## Class ThreadPoolSubreportRunnerFactory

- java.lang.Object
- - net.sf.jasperreports.engine.fill.ThreadPoolSubreportRunnerFactory

- All Implemented Interfaces:
    JRSubreportRunnerFactory

      public class ThreadPoolSubreportRunnerFactory
      extends java.lang.Object
      implements JRSubreportRunnerFactory

  Version:
    $Id: ThreadPoolSubreportRunnerFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ThreadPoolSubreportRunnerFactory.ExecutorServiceDisposable`
    `protected static class` | `ThreadPoolSubreportRunnerFactory.SubreportsThreadFactory`

  - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.fill.JRSubreportRunnerFactory

      `SUBREPORT_RUNNER_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadPoolSubreportRunnerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRSubreportRunner` | `createSubreportRunner(JRFillSubreport fillSubreport, JRBaseFiller subreportFiller)` Creates a new `JRSubreportRunner` instance.
    `protected java.util.concurrent.ExecutorService` | `createThreadExecutor(JRFillContext fillContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadPoolSubreportRunnerFactory

          public ThreadPoolSubreportRunnerFactory()

  - ### Method Detail

    - #### createSubreportRunner

          public JRSubreportRunner createSubreportRunner(JRFillSubreport fillSubreport,
                                                JRBaseFiller subreportFiller)

      Description copied from interface: `JRSubreportRunnerFactory`
      Creates a new `JRSubreportRunner` instance.
      Specified by:
        `createSubreportRunner` in interface `JRSubreportRunnerFactory`
      Parameters:
        `fillSubreport` - the subreport element of the master report
        `subreportFiller` - the subreport filler created to fill the subreport
      Returns:
        a new `JRSubreportRunner` instance

    - #### createThreadExecutor

          protected java.util.concurrent.ExecutorService createThreadExecutor(JRFillContext fillContext)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com